Subject: Re: bug#23163: 25.1.50; w32-lwindow-modifier "unset" while running GDB

From: Jussi Lahdenniemi <[email-masked]>
Date: Thu, 31 Mar 2016 09:34:51 +0300

>> Date: Wed, 30 Mar 2016 19:32:49 +0200
>> From: martin rudalics <[email-masked]>
>>
>> In my .emacs for Windows I have for many years the following settings.
>>
>> (setq w32-pass-lwindow-to-system nil)
>> (setq w32-lwindow-modifier 'hyper)	; lwindow is hyper
>> (global-set-key [(control hyper meta b)] 'break-point-insert)
>>
>> ‘break-point-insert’ is a command that inserts a breakpoint into the
>> *gud-emacs.exe* buffer.  This command works fine in emacs-25 but fails
>> in master when running GDB.  In particular, it fails _after_ focus has
>> shifted to the debugged frame and I shifted it back to the debugger
>> frame.  The command actually executed by C-H-M b is then ‘backward-sexp’
>> which means that apparently ‘w32-lwindow-modifier’ has been unset and my
>> modifier given back to the system.
>>
>> I believe that I have seen similar "unsettings" in other occasions as
>> well but the example given here is the only one I can confirm.

Does it help if you add
(w32-register-hot-key [H-])
after the (global-set-key ...) line in your .emacs?

-- 
Jussi Lahdenniemi